<?php
/**
 * PromoCodeStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\MarketingClient\Dto;
use \Ensi\MarketingClient\ObjectSerializer;

/**
 * PromoCodeStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные статусы скидок:   * &#x60;1&#x60; - создана   * &#x60;2&#x60; - отправлена на согласование   * &#x60;3&#x60; - на согласовании   * &#x60;4&#x60; - активна   * &#x60;5&#x60; - отклонена   * &#x60;6&#x60; - приостановлена   * &#x60;7&#x60; - завершена   * &#x60;8&#x60; - тестовый
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PromoCodeStatusEnum
{
    /**
     * Possible values of this enum
     */
    const STATUS_CREATED = 1;
    const STATUS_SENT = 2;
    const STATUS_ON_CHECKING = 3;
    const STATUS_ACTIVE = 4;
    const STATUS_REJECTED = 5;
    const STATUS_PAUSED = 6;
    const STATUS_EXPIRED = 7;
    const STATUS_TEST = 8;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::STATUS_CREATED,
            self::STATUS_SENT,
            self::STATUS_ON_CHECKING,
            self::STATUS_ACTIVE,
            self::STATUS_REJECTED,
            self::STATUS_PAUSED,
            self::STATUS_EXPIRED,
            self::STATUS_TEST,
        ];
    }
}


